.dan
DAN is a graphically oriented scientific data analysis tool for IBM PCs
and compatibles.  It provides a quick and flexible means of processing
data files by allowing these files to be used as variables in formulas. 
DAN treats them as if they defined continuous mathematical functions.

DAN lets you define and execute special processing algorithms to
manipulate data and produce plots, disk files, and/or listings of the
processed data.  A processing algorithm is expressed as a sequence of
statements whose syntax is similar to a high level language but without
most of the housekeeping details associated with programming. 
Algorithms may be created, saved, and used as needed.

Data manipulations are specified by combining arithmetic operators,
constants, function calls (e.g.  sin,cos,log), and data file names in
algebraic expressions.  For example,

        PLOT(x*x-sin(x) / log(datafile+1) );

Plot labels may be specified, text notes may be embedded in the plot,
several different coordinate systems may be used (e.g. Log-Log or polar),
and multiple traces may be generated on
each plot.  Hardcopies of plots may be output if your system has a printer
that DAN supports.

Data values to be processed can be:
    - Read from ASCII text files.
    - Read from files created by a user's application program, provided
      the file conforms to DAN's Data File format.
    - Generated from user specified formulas.
    - Entered directly from the keyboard by the operator.
    - Read from files previously output by DAN.
    - Input from any of the four analog or digital channels on a
      game controller.
    - Any combination of the above.
